<solidify-base-action-dialog [titleToTranslate]="'deposit.dialog.submit.title' | translate">
  <div class="summary-wrapper">
    <p>{{"deposit.dialog.submit.message" | translate:paramMessage}}</p>
    <div class="info-wrapper">
      <b>{{labelTranslateEnum.accessLevel | translate}}:</b>
      <dlcm-shared-access-level-with-embargo
          [accessLevel]="data.deposit.access"
          [embargoAccessLevel]="data.deposit?.embargo?.access"
          [embargoEndDate]="getEmbargoEndDate"
          [withTooltip]="true"
          class="icon access-level-icon"
      >
      </dlcm-shared-access-level-with-embargo>
      {{accessEnumTranslate(data.deposit.access) | translate}}
    </div>
    <div class="info-wrapper">
      <b>{{labelTranslateEnum.sensitivity | translate}}:</b>
      <dlcm-shared-data-sensitivity [dataSensitivity]="data.deposit.dataSensitivity"
                                    [withTooltip]="true"
                                    class="icon"
      >
      </dlcm-shared-data-sensitivity>
      {{sensitivityEnumTranslate(data.deposit.dataSensitivity) | translate}}
    </div>
    <div class="info-wrapper"
         *ngIf="isDuaCompatibleWithMetadataVersion()"
    >
      <b>{{labelTranslateEnum.dataUsePolicy | translate}}:</b>
      <dlcm-shared-data-use-policy [dataUsePolicy]="data.deposit.dataUsePolicy"
                                   [withTooltip]="true"
                                   class="icon"
      >
      </dlcm-shared-data-use-policy>
      {{dataUsePolicyEnumTranslate(data.deposit.dataUsePolicy) | translate}}
    </div>
    <div *ngIf="data.deposit.licenseId | isNotNullNorUndefinedNorWhiteString"
         class="info-wrapper"
    >
      <b>{{labelTranslateEnum.license | translate}}:</b>
      <solidify-resource-name-container [state]="sharedLicenceState"
                                        [action]="sharedLicenceStateNameSpace"
                                        [id]="data.deposit.licenseId"
                                        [labelKey]="'description'"
                                        [inline]="true"
      >

      </solidify-resource-name-container>
    </div>
  </div>

  <div *ngIf="data.needSubmissionAgreement"
       class="submission-agreement-wrapper"
  >
    <h2 class="subtitle">{{labelTranslateEnum.submissionRequireSubmissionAgreement | translate}}</h2>
    <solidify-file-visualizer [fileToVisualize]="submissionAgreementFileInput"
                              [zoomEnable]="true"
                              [fileDownloadUrl]="submissionAgreementDownloadUrl"
                              [isInDialog]="false"
    ></solidify-file-visualizer>

    <mat-checkbox [formControl]="formControlAcceptSubmissionAgreement"
                  color="primary"
                  class="provide-checksums"
    >
      {{labelTranslateEnum.iAgreeWithTheSubmissionAgreement | translate}}
    </mat-checkbox>
  </div>
</solidify-base-action-dialog>
<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.cancel | translate}}
  </button>

  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [disabled]="formControlAcceptSubmissionAgreement?.invalid"
          [color]="'primary'"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.yesImSure | translate}}
  </button>
</div>

